### Enumeration

# Clutter PanAxis

#### Declaration

    enum Clutter.PanAxis

#### Description [src]

The axis of the constraint that should be applied on the panning action.

#### Members

`CLUTTER_PAN_AXIS_BOTH`

  No constraint.

  - Value: `0`
  - Available since: 18
`CLUTTER_PAN_AXIS_X`

  Set a constraint on the X axis.

  - Value: `1`
  - Available since: 18
`CLUTTER_PAN_AXIS_Y`

  Set a constraint on the Y axis.

  - Value: `2`
  - Available since: 18